package kuzumeji.action.home.sys;
import kuzumeji.action.home.BaseEntityHome;
import kuzumeji.entity.sys.Config;
import org.jboss.seam.annotations.Name;
/**
 * ConfigHome
 * @author nilcy
 */
@Name("configHome")
public class ConfigHome extends BaseEntityHome<Config> {
    /** S/N */
    private static final long serialVersionUID = 7412367496981824243L;
    /**
     * @return ID
     */
    public Long getConfigId() {
        return (Long) getId();
    }
    /**
     * @param aConfigId ID
     */
    public void setConfigId(Long aConfigId) {
        setId(aConfigId);
    }
    @Override
    protected Config createInstance() {
        Config config = new Config();
        return config;
    }
    /**
     * load
     */
    public void load() {
        if (isIdDefined()) {
            wire();
        }
    }
    /**
     * load
     */
    public void wire() {
        getInstance();
    }
    /**
     * isWired
     * @return isWired
     */
    public boolean isWired() {
        return true;
    }
    /**
     * getDefinedInstance
     * @return DefinedInstance
     */
    public Config getDefinedInstance() {
        return isIdDefined() ? getInstance() : null;
    }
}
